import distutils.sysconfig
distutils.sysconfig.get_config_vars()['LDSHARED'] += ' -framework CoreFoundation -framework Carbon -framework ApplicationServices'
from distutils.core import setup
from distutils.extension import Extension
from Pyrex.Distutils import build_ext

setup(
    name        = 'LaunchServices',
    version     = '0.1',
    description = 'Pythonic wrapper for LaunchServices',
    long_description = 'Pythonic wrapper for LaunchServices', 
    url         = 'http://undefined.org/python/',
    maintainer  = 'Bob Ippolito',
    maintainer_email = 'bob@redivi.com',
    license     = 'Python',
    platforms   = ['Mac OSX'],
    keywords    = ['LaunchServices'],

    ext_modules=[
        Extension('LaunchServices._LaunchServices', ['src/_LaunchServices.pyx'], ),
    ],

    packages = ['LaunchServices'],
    package_dir = {'LaunchServices':'lib'},
    cmdclass = {'build_ext': build_ext}
)
